package nl.amis.tourdefrance.model;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

@Entity
public class Rider {

    @Id @GeneratedValue
    private Integer id;

    private String name;
    private int riderNumber;
    private String team;
    
    @ManyToOne(cascade=CascadeType.ALL)
    @JoinColumn(name = "TOUR_ID")
    private Tour tour;
    
    public Rider() {
        
    }

    public Rider(String name, int riderNumber, String team) {
        super();
        this.name = name;
        this.riderNumber = riderNumber;
        this.team = team;
    }

    public void setRiderNumber(int riderNumber) {
        this.riderNumber = riderNumber;
    }

    public int getRiderNumber() {
        return riderNumber;
    }

    public void setTeam(String team) {
        this.team = team;
    }

    public String getTeam() {
        return team;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setTour(Tour tour) {
        this.tour = tour;
    }

    public Tour getTour() {
        return tour;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getId() {
        return id;
    }
}
