package nl.amis.tourdefrance.model;

import java.util.ArrayList;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Transient;


@Entity
public class Stage {
    
    @Id @GeneratedValue
    private Integer id;
    @Column(name = "departure")
    private String from;
    @Column(name = "finish")
    private String to;
    private float totalDistance;
    @Column(name = "stageSequence")
    private int sequence;
    @Column(name = "stageType")
    private String type; // contre montre, team suivant, 
    @Column(name = "stage_date")

    private String date;
    @OneToMany(cascade = {CascadeType.PERSIST,CascadeType.MERGE }, 
       mappedBy = "stage")

    private List<Standing> standings = new ArrayList<Standing>();
    @ManyToOne(cascade=CascadeType.ALL)
    @JoinColumn(name = "TOUR_ID")
    private Tour tour;
    
    public Stage() {
        
    }

    public Stage(float totalDistance, int sequence) {
        super();
        this.totalDistance = totalDistance;
        this.sequence = sequence;
    }

    public void setFrom(String from) {
        this.from = from;
    }

    public String getFrom() {
        return from;
    }

    public void setTo(String to) {
        this.to = to;
    }

    public String getTo() {
        return to;
    }

    public void setTotalDistance(float totalDistance) {
        this.totalDistance = totalDistance;
    }

    public float getTotalDistance() {
        return totalDistance;
    }

    public void setSequence(int sequence) {
        this.sequence = sequence;
    }

    public int getSequence() {
        return sequence;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getType() {
        return type;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public String getDate() {
        return date;
    }

    public void setStandings(List<Standing> standings) {
        this.standings = standings;
    }

    public List<Standing> getStandings() {
        return standings;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getId() {
        return id;
    }

    public void setTour(Tour tour) {
        this.tour = tour;
    }

    public Tour getTour() {
        return tour;
    }
}
