package nl.amis.tourdefrance.model;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

@Entity
public class Standing {
    
    @Id @GeneratedValue
    private Integer id;

    private int rank;
    @ManyToOne(cascade=CascadeType.ALL)
    @JoinColumn(name = "RIDER_ID")
    
    private Rider rider;
    private String time;
    private String gap;
    
    @ManyToOne(cascade=CascadeType.ALL)
    @JoinColumn(name = "STAGE_ID")
    private Stage stage;

    public Standing() {
        
    }

    public Standing(int rank, Rider rider,  String time, String gap) {
        super();
        this.rank = rank;
        this.rider = rider;
        this.time = time;
        this.gap = gap;
    }

    public void setRank(int rank) {
        this.rank = rank;
    }

    public int getRank() {
        return rank;
    }

    public void setRider(Rider rider) {
        this.rider = rider;
    }

    public Rider getRider() {
        return rider;
    }

    
    public void setTime(String time) {
        this.time = time;
    }

    public String getTime() {
        return time;
    }

    public void setGap(String gap) {
        this.gap = gap;
    }

    public String getGap() {
        return gap;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getId() {
        return id;
    }

  

    public void setStage(Stage stage) {
        this.stage = stage;
    }

    public Stage getStage() {
        return stage;
    }
}
