package nl.amis.tourdefrance.model;

import java.io.IOException;

import java.net.MalformedURLException;

import java.util.ArrayList;
import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;


public class TourManager {

    List<Tour> tours = new ArrayList<Tour>();
    
    

    public TourManager() {
        tours.add(new Tour(2010, 20, true));
        try {
            ProcessTourStandings.processTour(tours.get(0));
        } catch (MalformedURLException e) {
            System.out.println(e.getMessage());
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    public static void main(String[] args) {
        // Use persistence.xml configuration
        EntityManagerFactory emf = Persistence.createEntityManagerFactory("Model");
        EntityManager em = emf.createEntityManager(); // Retrieve an application managed entity manager

        em.getTransaction().begin();      
        TourManager tm = new TourManager();
        for (Tour tour : tm.getTours()) {
            em.persist(tour);
        }
        em.getTransaction().commit();
        em.close();
        emf.close(); //

        // write tour details (top 3 for each stage) to system output
        for (Tour tour : tm.getTours()) {
            for (Stage stage : tour.getStages()) {
                System.out.println("================ Stage " + stage.getSequence() + "(" + stage.getTotalDistance() +
                                   " km)");
                for (Standing standing : stage.getStandings()) {
                    if (standing.getRank() < 4) {
                        System.out.println(standing.getRank() + "." + standing.getRider().getName());
                    }
                }
            }
        }
        
    }

    public void setTours(List<Tour> tours) {
        this.tours = tours;
    }

    public List<Tour> getTours() {
        return tours;
    }
}
